Skip to main content
POST
/
customers
Create customers
curl --request POST \
  --url https://api.getenso.ai/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Acme Corp",
  "entity": {
    "legalName": "Acme Corporation Private Limited",
    "alias": "Acme",
    "email": [
      "billing@acme.com"
    ],
    "phoneNumber": "9876543210",
    "Addresses": [
      {
        "address1": "123 Business Park Road",
        "city": "Bengaluru",
        "zip": "560001",
        "address2": "Floor 5, Tower B",
        "taxId": "29ABCDE1234F1Z5"
      }
    ]
  }
}
'
import requests

url = "https://api.getenso.ai/customers"

payload = {
"name": "Acme Corp",
"entity": {
"legalName": "Acme Corporation Private Limited",
"alias": "Acme",
"email": ["billing@acme.com"],
"phoneNumber": "9876543210",
"Addresses": [
{
"address1": "123 Business Park Road",
"city": "Bengaluru",
"zip": "560001",
"address2": "Floor 5, Tower B",
"taxId": "29ABCDE1234F1Z5"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Acme Corp',
entity: {
legalName: 'Acme Corporation Private Limited',
alias: 'Acme',
email: ['billing@acme.com'],
phoneNumber: '9876543210',
Addresses: [
{
address1: '123 Business Park Road',
city: 'Bengaluru',
zip: '560001',
address2: 'Floor 5, Tower B',
taxId: '29ABCDE1234F1Z5'
}
]
}
})
};

fetch('https://api.getenso.ai/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "error",
  "message": "Forbidden",
  "errors": [
    {}
  ]
}
SystemUser permission: CustomerService:createCustomer, EntityService:createEntity

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Body

application/json

Customer object that needs to be created

name
string
required
Example:

"Acme Corp"

entity
object
required

Response

Bad request — validation error

status
string
Example:

"error"

message
string
Example:

"Forbidden"

errors
object[]